Subject: Re: [PATCH] modules: elide param_lock if !CONFIG_SYSFS

From: Rusty Russell <[email-masked]>
Date: Sun, 28 Jun 2015 14:51:14 +0930

Stephen Rothwell <[email-masked]> writes:
> Hi Rusty,
>
> On Thu, 25 Jun 2015 17:34:31 -0400 Dan Streetman <[email-masked]> wrote:
>>
>> On Thu, Jun 25, 2015 at 5:18 PM, Rusty Russell <[email-masked]> wrote:
>> > Dan Streetman <[email-masked]> writes:
>> >> Only include the built-in and per-module param_lock, and corresponding
>> >> lock/unlock functions, if sysfs is enabled.  If there is no sysfs there
>> >> is no need for locking kernel params.
>> >>
>> >> This fixes a build break when CONFIG_SYSFS is not enabled, introduced
>> >> by commit b51d23e.
>> >
>> > This doesn't even come close to applying to my tree?
>> 
>> sorry, I had the !CONFIG_MODULES patch in my tree also, so this was on
>> top of that one:
>> https://lkml.org/lkml/2015/6/24/550
>> 
>> I can resend that one, on top of this one, or you can fix it up.
>> 
>> Sorry for not getting it right the first time ;-)
>
> This is what I ended up applying to yesterday's linux-next:

Thanks, added correct description to previous patch and applied this
on top.

Sorry for the hassle,
Rusty.